%global pypiname django-mako
%global obs_ver 0.1.5-0.1.pre
Name:           python-%{pypiname}
Version:        0.1.5
Release:        0.5.pre%{?dist}
Summary:        Mako Templates Plugin for Django
Group:          Development/Languages
License:        ASL 2.0 
URL:            http://github.com/tuxdna/django-mako
Source0:        http://pypi.python.org/packages/source/d/%{pypiname}/%{pypiname}-%{version}pre.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-django
Requires:       python-mako

Provides:       %{pypiname} = %{version}-%{release}
Obsoletes:      django-mako < 0.1.5-0.1.pre

%description
Replacement for default template system provided by Django.

%prep
%setup -q -n %{pypiname}-%{version}pre
# Remove already existing egg data
rm -r django_mako.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README
%{python_sitelib}/djangomako/
%{python_sitelib}/django_mako-0.1.5pre-py?.?.egg-info/

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-0.5.pre
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-0.4.pre
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-0.3.pre
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-0.2.pre
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 11 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.1.5-0.1.pre
- package renamed to python-django-mako
- minor spec cleanup
- require python-mako

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-0.4.pre
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-0.3.pre
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.1.4-0.2.pre
- Rebuild for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon May 17 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.1.4-0.1.pre
- Fixed spec file name
- Updated version

* Thu Apr 01 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.1.3-1
- Initial package
